var _require = require('../utils'),
    ifAnyDep = _require.ifAnyDep;

var isTest = undefined === 'test';
var isPreact = undefined === 'preact';
var isRollup = Boolean(JSON.parse(undefined || '"false"'));
var isWebpack = Boolean(JSON.parse(undefined || '"false"'));
var treeshake = isRollup || isWebpack;

module.exports = {
  presets: [['env', treeshake ? { modules: false } : {}], ifAnyDep('react')].filter(Boolean),
  plugins: [isRollup ? 'external-helpers' : null,
  // we're actually not using JSX at all, but I'm leaving this
  // in here just in case we ever do (this would be easy to miss).
  isPreact ? ['transform-react-jsx', { pragma: 'h' }] : null, isPreact ? ['transform-react-remove-prop-types', { removeImport: true }] : null, isTest || isRollup ? 'transform-inline-environment-variables' : null, 'transform-class-properties', 'transform-object-rest-spread'].filter(Boolean)
};