#!/usr/bin/env node

var path = require('path');
var spawn = require('cross-spawn');

function attemptResolve() {
  try {
    var _require;

    return (_require = require).resolve.apply(_require, arguments);
  } catch (error) {
    return null;
  }
}

var _process$argv = babelHelpers.toArray(process.argv),
    executor = _process$argv[0],
    ignoredBin = _process$argv[1],
    script = _process$argv[2],
    args = _process$argv.slice(3);

var relativeScriptPath = path.join(__dirname, './scripts', script);
var scriptPath = attemptResolve(relativeScriptPath);

if (!scriptPath) {
  console.log('Unknown script "' + script + '".');
  console.log('Perhaps you need to update paypal-scripts?');
}

var result = spawn.sync(executor, [scriptPath].concat(babelHelpers.toConsumableArray(args)), {
  stdio: 'inherit'
});

if (result.signal) {
  if (result.signal === 'SIGKILL') {
    console.log('The build failed because the process exited too early. ' + 'This probably means the system ran out of memory or someone called ' + '`kill -9` on the process.');
  } else if (result.signal === 'SIGTERM') {
    console.log('The build failed because the process exited too early. ' + 'Someone might have called `kill` or `killall`, or the system could ' + 'be shutting down.');
  }
  process.exit(1);
}
process.exit(result.status);