var fs = require('fs');
var path = require('path');
var resolveBin = require('resolve-bin');
var spawn = require('cross-spawn');

var _require = require('../paths'),
    fromRoot = _require.fromRoot;

var _require2 = require('../utils'),
    hasPkgProp = _require2.hasPkgProp;

var args = process.argv.slice(2);

var here = function here(p) {
  return path.join(__dirname, p);
};

var useBuiltinConfig = !args.includes('--config') && !fs.existsSync(fromRoot('.prettierrc')) && !hasPkgProp('prettierrc');
var config = useBuiltinConfig ? ['--config', here('../config/prettierrc.js')] : [];

var useBuiltinIgnore = !args.includes('--ignore-path') && !fs.existsSync(fromRoot('.prettierignore'));
var ignore = useBuiltinIgnore ? ['--ignore-path', here('../config/prettierignore')] : [];

var write = args.includes('--no-write') ? [] : ['--write'];

var result = spawn.sync(resolveBin.sync('prettier'), [].concat(config, ignore, write).concat(args), { stdio: 'inherit' });

process.exit(result.status);