var fs = require('fs');
var path = require('path');
var resolveBin = require('resolve-bin');
var spawn = require('cross-spawn');

var _require = require('../paths'),
    fromRoot = _require.fromRoot;

var _require2 = require('../utils'),
    hasPkgProp = _require2.hasPkgProp;

var _process$argv = babelHelpers.toArray(process.argv),
    ignoredExecutor = _process$argv[0],
    ignoredBin = _process$argv[1],
    ignoredScript = _process$argv[2],
    args = _process$argv.slice(3);

var here = function here(p) {
  return path.join(__dirname, p);
};

var useBuiltinConfig = !args.includes('--config') && !fs.existsSync(fromRoot('.eslintrc')) && !hasPkgProp('eslint');
var config = useBuiltinConfig ? ['--config', here('../config/eslintrc.js')] : [];

var useBuiltinIgnore = !args.includes('--ignore-path') && !fs.existsSync(fromRoot('.eslintignore'));
var ignore = useBuiltinIgnore ? ['--ignore-path', here('../config/eslintignore')] : [];

var cache = args.includes('--no-cache') ? [] : ['--cache'];

var result = spawn.sync(resolveBin.sync('eslint'), [].concat(config, ignore, cache, ['.']).concat(args), { stdio: 'inherit' });

if (result.status === 0) {
  console.error('All\'s good \uD83D\uDC4D');
}

process.exit(result.status);