var spawn = require('cross-spawn');
var resolveBin = require('resolve-bin');

var _require = require('../utils'),
    ifScript = _require.ifScript;

var scriptNames = function scriptNames() {
  for (var _len = arguments.length, scripts = Array(_len), _key = 0; _key < _len; _key++) {
    scripts[_key] = arguments[_key];
  }

  return scripts.map(function (s) {
    return ifScript(s, s);
  }).filter(Boolean).join(',');
};

var result = spawn.sync(resolveBin.sync('concurrently'),
// prettier-ignore
['--kill-others-on-fail', '--prefix', '[{name}]', '--names', scriptNames('build', 'lint', 'test'), '--prefix-colors', 'bgBlue.bold,bgGreen.bold,bgMagenta.bold'].concat(babelHelpers.toConsumableArray([ifScript('build', 'npm run build --silent'), ifScript('lint', 'npm run lint --silent'), ifScript('test', 'npm run test --silent -- --coverage')].filter(Boolean))), { stdio: 'inherit' });

process.exit(result.status);